## stix2-patterns 2.0.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = stix2-patterns
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
stix2-patterns (2.0.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:27:40 +0200

stix2-patterns (2.0.0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 Jul 2023 18:00:25 +0200

=== debian/control ===
Source: stix2-patterns
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-antlr4,
 python3-pytest,
 python3-sphinx,
 python3-sphinx-prompt
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/oasis-open/cti-pattern-validator

Package: python3-stix2-patterns
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-stix2-patterns-doc,
Description: tool to check the syntax of the CTI STIX Pattern expressions (Python 3)
 This package contains software tool for checking the syntax of the Cyber
 Threat Intelligence (CTI) STIX Pattern expressions, which are used within STIX
 to express conditions (prepresented with the Cyber Observable data model) that
 indicate particular cyber threat activity. The repository contains source
 code, an ANTLR grammar, automated tests and associated documentation for the
 tool. The validator can be used as a command-line tool or as a Python library
 which can be included in other applications.
 .
 This package installs the library for Python 3.

Package: python-stix2-patterns-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: tool to check the syntax of the CTI STIX Pattern expressions (common documentation)
 This package contains software tool for checking the syntax of the Cyber
 Threat Intelligence (CTI) STIX Pattern expressions, which are used within STIX
 to express conditions (prepresented with the Cyber Observable data model) that
 indicate particular cyber threat activity. The repository contains source
 code, an ANTLR grammar, automated tests and associated documentation for the
 tool. The validator can be used as a command-line tool or as a Python library
 which can be included in other applications.
 .
 This is the common documentation package.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/oasis-open/cti-pattern-validator/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
